Bug 882476 - Review Request: openid4java - This library allows you to OpenID-enable your Java webapp
Review Request: openid4java - This library allows you to OpenID-enable your J...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 882477
  Show dependency treegraph
 
Reported: 2012-12-01 04:02 EST by gil cattaneo
Modified: 2013-06-13 02:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: openid4java-0.9.8-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-12-01 04:02:13 EST
Spec URL: http://gil.fedorapeople.org/openid4java.spec
SRPM URL: http://gil.fedorapeople.org/openid4java-0.9.6-1.fc16.src.rpm
Description:
OpenID starts with the concept that anyone can identify themselves on the
Internet the same way websites do - with a URI. Since URIs are at the very core
of Web architecture, they provide a solid foundation for user-centric identity.
The first piece of the OpenID framework is authentication -- how you prove
ownership of a URI. Today, websites require usernames and passwords to login,
which means that many people use the same password everywhere. With OpenID
Authentication, your username is your URI, and your password (or other
credentials) stays safely stored on your OpenID Provider (which you can run
yourself, or use a third-party identity provider).

The library provided by this package supports the following specifications:
- OpenID Authentication 2.0
- OpenID Authentication 1.1 (in compatibility mode)
- OpenID Attribute Exchange 1.0
- OpenID Simple Registration 1.0 and 1.1, draft 1
- OpenID Provider Authentication Policy Extension 1.0
- OpenID Information Cards 1.0, draft 1
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-12 05:59:39 EDT
Spec URL: http://gil.fedorapeople.org/openid4java.spec
SRPM URL: http://gil.fedorapeople.org/openid4java-0.9.7-0.1.720.fc18.src.rpm
Description:
OpenID4Java library offers support for OpenID-enabling a
consumer site or implementing an OpenID Provider server.

Update to 0.9.7.720
Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=5369052
Comment 2 gil cattaneo 2013-05-31 08:14:34 EDT
Spec URL: http://gil.fedorapeople.org/openid4java.spec
SRPM URL: http://gil.fedorapeople.org/openid4java-0.9.8-0.1.741.fc18.src.rpm

-update to 0.9.8.741
Comment 3 Michal Srb 2013-06-03 04:43:57 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct Maven mapping
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openid4java-0.9.8-0.1.741.fc20.noarch.rpm
          openid4java-javadoc-0.9.8-0.1.741.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openid4java openid4java-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
openid4java (rpmlib, GLIBC filtered):
    apache-commons-codec
    apache-commons-logging
    atinject
    ehcache-core
    google-guice
    httpcomponents-client
    httpcomponents-core
    java
    jpackage-utils
    log4j
    nekohtml
    springframework
    springframework-beans
    springframework-jdbc
    springframework-tx
    tomcat-jsp-2.2-api
    tomcat-servlet-3.0-api
    xerces-j2

openid4java-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
openid4java:
    mvn(org.openid4java:openid4java)
    openid4java

openid4java-javadoc:
    openid4java-javadoc



Source checksums
----------------
http://openid4java.googlecode.com/files/openid4java-0.9.8.741.tar.gz :
  CHECKSUM(SHA256) this package     : 149ff4f8f7ba01554dcd83c5bb618650ed18d2e572b619d1f6924757140a53fe
  CHECKSUM(SHA256) upstream package : 149ff4f8f7ba01554dcd83c5bb618650ed18d2e572b619d1f6924757140a53fe


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 882476


Issues:
- release tag: "0.1.741". IMHO, there is no need for tag like that, 0.9.8 looks like stable release. It's properly tagged in svn repostirory and pom.xml also says "0.9.8"
- I think that findbugs patch is not needed, it can be safely removed
- seems to me that tests are now ok, no need for "-Dmaven.test.failure.ignore=true" (tested on rawhide)

Please fix these issues before importing files to the git repository.

APPROVED
Comment 4 gil cattaneo 2013-06-03 05:05:56 EDT
Thanks!

Spec URL: http://gil.fedorapeople.org/openid4java.spec
SRPM URL: http://gil.fedorapeople.org/openid4java-0.9.8-1.fc18.src.rpm

- fixed release tag
- remove findbug patch and "-Dmaven.test.failure.ignore=true"

New Package SCM Request
=======================
Package Name: openid4java
Short Description: This library allows you to OpenID-enable your Java web-app
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig
Comment 5 Jon Ciesla 2013-06-03 06:18:48 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-03 07:02:53 EDT
openid4java-0.9.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openid4java-0.9.8-1.fc19
Comment 7 Fedora Update System 2013-06-03 07:18:07 EDT
openid4java-0.9.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openid4java-0.9.8-1.fc18
Comment 8 Fedora Update System 2013-06-03 10:43:49 EDT
openid4java-0.9.8-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-11 23:30:20 EDT
openid4java-0.9.8-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-06-13 02:06:06 EDT
openid4java-0.9.8-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.